# Copyright 2005 by
#           Atte Timonen
#           Tarmo Toikkanen
#           Teemu Leinonen
#           Lily Diaz
#           Janne Pietarila
#
# Code snippets used from Fle3 (fle3.uiah.fi),
# credits go to the Fle3 Team.
#
# This file is part of the ImaNote product.
#
# ImaNote is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# ImaNote is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ImaNote; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

from Testing import ZopeTestCase
import sys, os, re, string
import Zope

def _start():
  global app, made, map
  global im_width, im_height, im_mag
  im_width=1152
  im_height=864
  im_mag=8
  ZopeTestCase.installProduct('ImaNoteDevel')
  app=ZopeTestCase.app()
  app.manage_addProduct['ImaNoteDevel'].addFunction('testMade', \
      title='A test Made made for testing Made.')
  app.testMade.addMap('testImage', im_mag, open('test.jpg'), 'a testmap for the testcases')
  for install in app.objectValues('ImaNote'):
    made=install
    map=made.getMap('testImage')
    commit()
    ZopeTestCase.close(app)
    return app

def commit():
  """Just a convenience function for committing a transaction."""
  try:
    get_transaction().commit()
    app._p_jar.sync()
  except:
    app._p_jar.sync()
    print "[commit failed]"
    get_transaction().commit()
    print "[recovered]"
    
app=_start()
